diff --git a/Changelog.md b/Changelog.md
index 16b5b6d..9bcd29a 100755
--- a/Changelog.md
+++ b/Changelog.md
@@ -13,6 +13,7 @@
      - Accessible via the (by default) small cog next to your username when you're logged in
      - The cog is customisable via the new `user_preferences_button_text` setting.
      - You can change your password
+     - There's link to the master site settings from user preferences for admins.
  - [Module API] Added `$env->user_data` and `save_userdata()` to interact with the logged in users' data
  - User pages! Every page under `Users/` by default belongs to their respective users. e.g. `Users/admin` and all the pages under it belong to the `admin` user, so no other user can edit them.
      - You can access your own user page by clicking on your username in the top corner when you're logged in.
diff --git a/build/index.php b/build/index.php
index 381cd86..b9cd80d 100644
--- a/build/index.php
+++ b/build/index.php
@@ -2012,7 +2012,7 @@ register_module([
 			
 			$content = "<h1>Master Control Panel</h1>\n";
 			$content .= "<p>This page lets you configure $settings->sitename's master settings. Please be careful - you can break things easily on this page if you're not careful!</p>\n";
-			$content .= "<p>Mouse over the name of each the settings to see a description of what it does.</p>\n";
+			$content .= "<p>Mouse over the name of each setting to see a description of what it does.</p>\n";
 			$content .= "<form action='?action=configure-save' method='post'>\n";
 			
 			foreach($guiConfig as $configKey => $configData)
@@ -3892,6 +3892,9 @@ register_module([
 			$content .= "	<input type='submit' value='Change Password' />\n";
 			$content .= "</form>\n";
 			
+			if($env->is_admin)
+				$content .= "<p>As an admin, you can also <a href='?action=configure'>edit $settings->sitename's master settings</a>.</p>\n";
+			
 			exit(page_renderer::render_main("User Preferences - $settings->sitename", $content));
 		});
 		
diff --git a/module_index.json b/module_index.json
index 42af883..5889df4 100755
--- a/module_index.json
+++ b/module_index.json
@@ -50,7 +50,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "The module everyone has been waiting for! Adds a web based gui that lets mods change the wiki settings.",
         "id": "feature-guiconfig",
-        "lastupdate": 1482008539,
+        "lastupdate": 1490039426,
         "optional": false
     },
     {
@@ -104,7 +104,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds a user preferences page, letting pople do things like change their email address and password.",
         "id": "feature-user-preferences",
-        "lastupdate": 1486814152,
+        "lastupdate": 1490039844,
         "optional": false
     },
     {
diff --git a/modules/feature-guiconfig.php b/modules/feature-guiconfig.php
index 2e8be73..5ffc37a 100644
--- a/modules/feature-guiconfig.php
+++ b/modules/feature-guiconfig.php
@@ -36,7 +36,7 @@ register_module([
 			
 			$content = "<h1>Master Control Panel</h1>\n";
 			$content .= "<p>This page lets you configure $settings->sitename's master settings. Please be careful - you can break things easily on this page if you're not careful!</p>\n";
-			$content .= "<p>Mouse over the name of each the settings to see a description of what it does.</p>\n";
+			$content .= "<p>Mouse over the name of each setting to see a description of what it does.</p>\n";
 			$content .= "<form action='?action=configure-save' method='post'>\n";
 			
 			foreach($guiConfig as $configKey => $configData)
diff --git a/modules/feature-user-preferences.php b/modules/feature-user-preferences.php
index bacfc8a..3477da9 100644
--- a/modules/feature-user-preferences.php
+++ b/modules/feature-user-preferences.php
@@ -71,6 +71,9 @@ register_module([
 			$content .= "	<input type='submit' value='Change Password' />\n";
 			$content .= "</form>\n";
 			
+			if($env->is_admin)
+				$content .= "<p>As an admin, you can also <a href='?action=configure'>edit $settings->sitename's master settings</a>.</p>\n";
+			
 			exit(page_renderer::render_main("User Preferences - $settings->sitename", $content));
 		});
 		
